---
# pugs build configuration

# This file is in minimal YAML (one day it might grow up to real YAML);
# for now, only key: value pairs please.

# Set '-O0' for unoptimized, '-O' for optimized build
optimization: -O

# If you have SMP and some unix, set this to > 1 for faster smokes
smoke_concurrent: 1

# Automaticaly upload smoke.html after make smoke (1 = yes)
smoke_upload: 0

# Embed a precompiled image of Prelude.pm in pugs? This makes pugs
# faster to load, but slower to build. The payoff is usually worth it,
# so this is on by default.
precompile_prelude: true

# Include additional modules in the precompiled Prelude? This requires the
# preceding option to be enabled.  Including Test makes pugs even slower to
# build, but makes the test suite slightly faster still.  It may be worth
# it if you're running smoke tests, but otherwise probably not.
# Pass a *single line* YAML array of filenames here, comma separated.

precompile_modules: [ ext/Math-Basic/lib/Math/Basic.pm ]
# precompile_modules: [ ext/Math-Basic/lib/Math/Basic.pm, ext/Test/lib/Test.pm ]

# Set this to a large value (e.g. 320m) if precompiling anything more than
# the standard Prelude.
# ghc_heap_size: 348m

# Set this to a string value if you want Pugs to be installed in a different 
# directory from the usual.
# Don't put your Perl 5 dir here! See INSTALL.
# install_dir: C:\Perl6
